oracle.xml.xsql

## Class XSQLActionHandlerImpl

- java.lang.Object
- - oracle.xml.xsql.XSQLActionHandlerImpl

All Implemented Interfaces:
  XSQLActionHandler

    public abstract class XSQLActionHandlerImpl
    extends java.lang.Object
    implements XSQLActionHandler

Base Implementation of XSQLActionHandler that can be extended to create your own custom handlers.

Includes a set of useful helper methods.

NOTE: If you extend this class and override the init() method, make sure to call:

    super.init(env,e);

### Constructor Summary

Constructors
Constructor and Description
`XSQLActionHandlerImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(XSQLPageRequest env, Element e)` Initialize the Action Handler

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.xml.xsql.XSQLActionHandler

`handleAction`

### Constructor Detail

#### XSQLActionHandlerImpl

    public XSQLActionHandlerImpl()

### Method Detail

#### init

    public void init(XSQLPageRequest env,
                     Element e)

Description copied from interface: `XSQLActionHandler`
Initialize the Action Handler

Specified by:
  `init` in interface `XSQLActionHandler`
Parameters:
  `env` - XSQLPageRequest object
  `e` - DOM element representing the Action Element being handled

Copyright © 2003, 2020, Oracle and/or its affiliates.